/*  sdmsLdbl.cpp  by K.Tsuru  */
// function ID = 303  DRADIX  since version 2.31
/******************************************************************
SDouble class
It sets a value by long double, including long, etc.
via std::stringstream and StringToNumber class.
********************************************************************/
#ifndef SN_H
#include "sn.h"
#endif
static const char* const func = "SetLongDouble";
void SDouble::SetLongDouble(ldouble ld){
	if(ld == 0.0){
		if(RawSign()) SetZero();
		return;		// d = 0, sign = 0
	}
	if(Type() == BIN_DEC) SetError(RADIX_ERR, func, 303);

	stringstream ss;

	ss << setprecision(LDBL_DIG+2) << ld;
	string temp = (string)ss.str();
	SetString(temp.c_str());
}

