/*  sfomuldb.cpp  by K.Tsuru  */
// function ID = 724, 726, 734 DRADIX
/****************************************
SFraction class
It provides the multiplication by double.
*****************************************/
#ifndef SN_H
#include "sn.h"
#endif
SFraction operator*(const SFraction& m, double d){
	SFraction r;	// r.reduceDone = false;
	if(d == 0.0) r.SetZero();
	else if(d == 1.0L)  r = m;
	else if(d == -1.0L) r = -m;
	else r.Set( m.NumNR()*d, m.DenNR() );	// includes r.reduce(false);
	return r;
}

