/*  sfostrm.cpp  by K.Tsuru  */
// function ID = 7004
/**************************
SComplex class
It provides the output.
**************************/
#ifndef SN_H
#include "sn.h"
#endif

// output stream SFraction class.7004
ostream& operator<<(ostream& os, SFraction& sf) {	// "sf" is not const
	SLong tmp;
	long p = 0;

	if(sf.lineFormat & sf.BRACKET) { os << '(';	p++; }
	os << sf.Num();	p += tmp.ioCount;
	os << '/';	p++;
	if(sf.lineFormat & sf.MID_CR) { os << endl;	p++; }

	tmp.ioCount = 0;
	os << sf.Den();	p += tmp.ioCount;
	if(sf.lineFormat & sf.BRACKET) { os << ')';	p++; }
	if(sf.lineFormat & sf.END_CR) { os << endl;	p++; }
	sf.ioCount = p;
	return os;
}
