/*  srfrrdiv.cpp  by K.Tsuru  */
// function ID = 813	BRADIX
/*****************
SRational class
operator x/y
(x.num/x.den)   x.num * y.den
--------------=---------------
(y.num/y.den)   x.den * y.num

*****************/
#ifndef SN_H
#include "sn.h"
#endif
SRational RRDiv(const SRational& x, const SRational& y){
	if(y.Sign(813) == 0) x.num.SetError(x.num.DIVIDED_BY_ZERO,"SR /", 813);
	SRational z;	// z.reduceDone = false;
	if((&x == &y) || (x == y)) z.SetLong(1, 1);	// x/x
	else if(x.Sign(813) == 0) z.SetZero();
	else {
		z.num = x.num*y.den;	z.den = x.den*y.num;
		z.reduce(false);
	}
	return z;
}
