/*  srmststr.cpp  by K.Tsuru  */
// function ID = 802	BRADIX
/********************************************
SRational class
It sets a value by string in a decimal system.
abcd...xyz/ABCD...XYZ type
It counts first '/' only.
*********************************************/
#ifndef SN_H
#include "sn.h"
#endif

void SRational::SetString(const char *s){
	char* buff = new char[strlen(s)+1];
	int slash;
	char* pt = buff;

	while( (*s != '/') && *s ) *(pt++) = *(s++);	//copy the numerator
	slash = (*s == '/') ? 1 : 0;
	*pt = '\0';
//substitute into SLong objects by string
	SLong n, d;
	n = buff;
	if(slash == 0){	//no '/'
		d = 1.0;
	} else {
		s++;	d = s;
	}
	Set(n, d);	// includes radix conversion
	delete[] buff;
}
