/*  sxcbrcdx.cpp  by K.Tsuru  */
// function ID = 511	BRADIX(constant)
/***********************************************
 SDecimal class
 Representation for 1/DRADIX in BRADIX
************************************************/
#ifndef SN_H
#include "sn.h"
#endif

static SDecimal* invDrdx = NULL;
static uint invDsize = 0;

void DrdxFree(){
	if(invDsize == 0) return;
	delete invDrdx;		invDrdx = NULL;		invDsize = 0;
}

SDecimal BRecDRadix(){
	uint max_sz = SNManager::SNMaxSize(SNManager::BIN_DEC);
	if( invDsize >= max_sz ) return *invDrdx;

	SDecimal one;
	one.SetInt(1);
	delete[] invDrdx;
	invDrdx = new SDecimal;
	XsDiv(one, DRADIX, *invDrdx);
	invDsize = max_sz;

	return *invDrdx;
}
