/* SNBlockTest.cpp by K.Tsuru made on Aug 8, 2016*/
/*

*/
#include "sn.h"
#include "timer.h"
#include "getnum.h"
#include "wait.h"
#include <vector>
void VectorExceptionTest() {
	vector<int> v( 5, 1 );
//	int N = 10; // If N=10 program terminate as below on Dev-C++.
	int N = v.size();
/*
Element 0 is 1
Element 1 is 1
Element 2 is 1
Element 3 is 1
Element 4 is 1
terminate called after throwing an instance of 'std::out_of_range'
  what():  vector::_M_range_check

This application has requested the Runtime to terminate it in an unusual way.
Please contact the application's support team for more information.

--------------------------------
Process exited after 14.57 seconds with return value 255
*/
	for( int i = 0; i < N; i++ ) {
  		cout << "Element " << i << " is " << v.at(i) << endl;
	}
}

int main() {
	VectorExceptionTest();
	cout << "SNBlock test for int" << endl;
	SNBlock <int> r;
	uint i, N =100;
	for(i = 0 ; i < N; i++){
		r.reserve(i); // r[i] fill with zero for i>=N
		r[i] = 5*i;
	}
	for(i = 0 ; i < r.size(); i++) cout << i <<" : " << r[i] << endl;
Wait();
	cout << "SNBlock test for SLong" << endl;
	SNBlock <SLong> a;
	for(i = 0 ; i < N; i++){
		a.reserve(i);
		a[i] = 5*i;
	}
cout << "a.size()= " << a.size() << endl;	
	for(i = 0 ; a(i).RawSign() != a(0).UNDECIDED; i++) cout << i <<" : " << a(i) << endl;

Wait();
	cout << "SNBlock test for SDouble" << endl;
	SNBlock <SDouble> d;
	for(i = 0 ; i < N; i++){
		d.reserve(i);
		d[i] = 5*i;
	}
cout << "d.size()= " << d.size() << endl;	
	for(i = 0 ; d(i).RawSign() != d(0).UNDECIDED; i++) cout << i <<" : " << d(i) << endl;
}
