#!/bin/sh
#This is a script file to make executable file(s) in the "sn32/exe" directory on GNU/Linux.
#Please run in "/sn32/" directory. Wild card can be used.
if [ $# = 0 ]
then
echo "usage : $0 file..."
exit 1
fi

for file in $*
do
base=`echo $file | sed 's/\..*$//'`
echo Making ./exeMW64/${base}

g++ -O3 -DNDEBUG=1 -Wall -Werror -Wno-error=uninitialized -I ./include $file ./lib/MWLib64.a -lstdc++ -lm -s -o ./exeMW64/${base}
done
exit 0
