/*  ipow10.cpp by K.Tsuru  */ 
/**************************************
 It returns 10^n.
 It does not check 10^n < LONG_MAX.
***************************************/
#include <stdlib.h>
#include <stdio.h>
#include <limits.h>
#include <cmath>

#include "mathtp.h"

long ipow10(int n){
	if(n<0) return 0;

	double r = dpow10(n);
	if(r > (double)LONG_MAX) {
		perror("ipow10(n) is too large.");
		exit(1);
	}
	return (long)r;
}
