/*  scfcexp.cpp  by K.Tsuru  */
// function ID = 9107
/*************************************************
SComplex class
Let z = x+i*y.
It returns exp(x+i*y) = exp(x)*{cos(y)+i*sin(y)}.
**************************************************/
#ifndef SN_H
#include "sn.h"
#endif
SComplex Cexp(const SComplex& z){
	SDouble r = Exp(z.Real());
	return Cpolar(r, z.Imag());
}
