/*  scfexpbs.cpp  by K.Tsuru  */
// function ID = 9121
/*************************************************
SComplex class
Let z = x+i*y.
It returns exp(x+i*y) = exp(x)*{cos(y)+i*sin(y)}
using binary splitting.
**************************************************/
#ifndef SN_H
#include "sn.h"
#endif
SComplex CexpBS(const SComplex& z){
	SDouble r = ExpBS(z.Real());
	return CpolarBS(r, z.Imag());
}
