/*  sdmcpydb.cpp  by K.Tsuru  */
// function ID = 301   DRADIX, BRADIX
/*********************************************
SDouble and SDecimal classes
It provides the copy function.
The types of "a" and "*this" may be different.
**********************************************/
#ifndef SN_H
#include "sn.h"
#endif

void SDouble::CopyDouble(const SDouble& a, int cs){
	if( this == &a ) return;	//step for a = a

	if( (cs == SUBS) && !a.Sign() ){	//for substitution operator
		SetZero();		return;	//including the case that non-zero part of "a" is outside
	}
	SNumber::CopyValue(a, cs);
	SetRdxExp(a.rdxExp);

	if( (Type() == REAL) && figure(0) ){	//first position !=0
		ShiftArray(1);	SetRdxExp(rdxExp+1);
	}
}
