/*  sdmsmall.cpp  by K.Tsuru  */
// function ID =   DRADIX, BRADIX(e = 0)
/*************************************************************
SDouble class
It sets a value by a small integer v(<radix) and exponent e.
**************************************************************/
#ifndef SN_H
#include "sn.h"
#endif

void SDouble::SetSmall(signed char v, int e){
	SetZero();
	if(v == 0) return;
	if(Type() == REAL){
		figure[1] = (fType)abs(v);	aTail = aHead = 1;
		SetRdxExp(e);
	} else {
		figure[0] = (fType)abs(v);
	}
	SetSign((int)v);
}
