/*  sdmstdrf.cpp  by K.Tsuru  */
// function ID = 315  DRADIX
/*******************************************************************
SDouble class
It reforms to the standard form even if in the fixed point mode.
0.0000 0000 abcd efgh .... *DRADIX^e ---> 0.abcd efgh ... *DRADIX^E
*******************************************************************/
#ifndef SN_H
#include "sn.h"
#endif
void SDouble::StdReform(int id){
	int shift = 1-(int)aTail;
	if(shift && Sign(id)){
		ShiftArray(shift);		rdxExp += shift;
	}
//the same processing as DoCutDown()
	if( 2u*(aHead+1) <= figure.size() ){
		figure.size( max(aHead+1, minArraySize), 1);
	}
}
