/*  sdfatana.cpp  by K.Tsuru  */
// function ID 3602   DRADIX
/***********************************************************
SDouble class
inverse trigonometric function arctan x using Asin function.
arctan x =  arcsin(x/Sqrt(1+x*x))
************************************************************/
#ifndef SN_H
#include "sn.h"
#endif
SDouble AtanA(const SDouble& x){
	SDouble y;
	y = x*RecSqrt(1 + x*x);
	return Asin(y);
}
