/*  slmlspls.cpp  by K.Tsuru  */
// function ID = 233	DRADIX
/*************************************************************
SLong class
It adds a positive short implemented for the increment operator.
The statement
	return (*this = *this + a);
has a large overhead, because it calls a constructor SLong(a).
**************************************************************/
#ifndef SN_H
#include "sn.h"
#endif

void SLong::LsPlus(fType a){
	if(!a) return;
	if(Sign(233) < 0){		// x + a  = -(|x| -a)
		SetSign(1);		LsMinus(a);		SetSign(-1);
		return;
	}
	LsAdd(a);
}
