/* FuncComp.h by K.Tsuru made on Aug 8, 2016*/

#include "sn.h"
/*
Compare the speeds of two functions.
*/
struct ForStm{ // "for(;;)" statement parameters
	int init,max,inc,skip;
	void Set(int i, int m, int ic, int sp = INT_MAX){
		init=i; max = m; inc = ic; skip = sp;
	}
	ForStm(int i=0, int m=0, int ic=0, int sp = INT_MAX) {Set(i,m,ic,sp);}
};
void XFuncCompareValues(SDouble (*pfunc1)(const SDouble&), const char* fname1,
 SDouble (*pfunc2)(const SDouble&),const char* fname2, const ForStm &F);
void XFuncSpeedCompare2(SDouble (*pfunc1)(const SDouble&), const char* fname1,
 SDouble (*pfunc2)(const SDouble&),const char* fname2,
 double absmax, const ForStm &F,const int N, bool positive = false, double min = 0.0);
void XFuncSpeedDependOnFig(SDouble (*pfunc)(const SDouble&), const char* fname1,
 double absmax, const ForStm &F, const int N, bool positive=false, double min=0.0);
