/*  HyperbolicTest.cpp  by K.Tsuru  */
/* 
This program compares SComplex class with C++ complex one.
It has been tested on gcc.
*/
#include "sn.h"

static const char* const title = "A test program for hyperbolic functions including SComplex";

void funcX(const SDouble x) {
	SDouble y;

	y = Cosh(x);		cout << "Cosh(" << x << ")= " << y << endl;
	y = Sinh(x);		cout << "Sinh(" << x << ")= " << y << endl;
	y = Tanh(x);		cout << "Tanh(" << x << ")= " << y << endl;
	y = Cos(x);		cout << "Cosh(" << x << ")= " << y << endl;
	y = Sin(x);		cout << "Sinh(" << x << ")= " << y << endl;
	y = Tan(x);		cout << "Tanh(" << x << ")= " << y << endl;
	y = Acosh(x);		cout << "Acosh(" << x << ")= " << y << endl;
	y = Asinh(x);		cout << "Asinh(" << x << ")= " << y << endl;
	y = Atanh(x);		cout << "Atanh(" << x << ")= " << y << endl;
}
int main(){
	RealSize(500,1);
	SDouble pi = Pi();
	pi.SetFormat(10,0,10);
	ErrorPuts(title);
	funcX(0.5);		 Wait();
}
