/* SComplexTest.cpp by K.Tsuru made on Aug 8, 2016*/
/*
Test program for operators of SComplex class
*/

#include "sn.h"
SComplex SC_complex_Test(){
	cerr << "***** Test of SComplex and complex *****" << endl;
	cout.precision(15);
	complex<double> a(sin(0.25*M_PI), cos(M_PI/6.0));
	SComplex b(a);
	cout << a << endl;
	cout << a-b<< endl;
	cerr <<"******************************" << endl;
	return 0.0;
}
SDouble Euler_s_formula() {
	SDouble a = Drand(), b = Drand(), x= Drand();
	cout <<"SD + SD ="<< a+b << endl;
	cerr << "Confirm z = e^(ix)-cos(x)-i*sin(x) =0." << endl;
	SComplex X(a), Y(a,b), Z(sqrt(2.0),sqrt(7.0)), ar[3];
	ar[0]= X; ar[1] =Y; ar[2]=Z;
	cout <<"X="<< ar[0] << endl;
	cout <<"Y="<< ar[1] << endl;
	cout <<"Z="<< ar[2] << endl;
	SComplex c(x); // "c = x" causes an error bacause of "explicit".
	SComplex ix(0.0, x);  // i*x
	SComplex eix = Cexp(ix), zero, y;
//	y = Cos(x) + eix; // SC + SD yeilds an error.[Notes]candidates are: operator+() const ...
	zero = eix - SComplex(Cos(x),Sin(x));
	cout << "In complex expression z =" << zero << " <= very close to zero?"<< endl;

	return Re(zero);
}
int main(){
	SC_complex_Test();
	Euler_s_formula();

	Ending();
}
