/* istreamSIntTest.cpp by K. Tsuru */
//test program for istream

#include "sn.h"
#include <string>
#include "timer.h"
#include "wait.h"
#include "getnum.h"
// output SInteger in hex.
void RawPuts(const SInteger& a) {
	int i = a.Size();
	cout << "i = " << i << endl;
	i--;
	for(;i>=0;i--) printf("%04x ", a(i));
	
	putchar('\n');
}
void SIntTest(){
	SInteger x(2);

	x <<= 20;
	cout << "*** SInteger x = 2 << 20 ***" << endl;
	SLong k = x.ConvToDec();
	cout << "(x in DRADIX) k=" << k << endl;
	cout << "(x in BRADIX) x=" << x << endl;
	RawPuts(x);
	k--;
	x--;
	cout << "*** After x-- and k-- ***" << endl;
	RawPuts(x);
	cout << "(x in DRADIX) k=" << k << endl;
	cout << "(x in BRADIX) x=" << x << endl;

	x.SetFormat(4);	// Use SLong class's
	x.Puts();
	x--;
cout << "BRADIX= " << BRADIX << "(dec), " << std::hex << 2*BRADIX << "(hex)\n";	
	int i;
	for(i = x.Head(); i; i-- ){
		cout << std::hex << x(i) << ' ';	
	}
	cout << endl;
	cout << x;
	x = LRand(64, BRADIX);	
	cout << x;
	Ending();

}
int main(){
	SIntTest();
}
