/* istreamTest2.cpp by K. Tsuru */
//test program for iostream

#include "sn.h"
#include "wait.h"

void SFtest3() {
	SFraction a;
	cout << "Test of input stream cin >> a;" << endl;
	cout << "Put in a form (xxx/yyyy) or xxx/yyyy a=? ";
// a = "(xxx/yyyy)"; is allowed then input stream can be used with no definition.
	cin >> a;
	cout << "Your a= " << a << endl;
	Wait();
}
void SFtest2(){
// by Moriguti
	SFraction f, g, r;
	f = "1009/99799811";	g = "997/99819757";
	r = f+g;	cout << f << '+' << g << '=' << r << endl;
	r = f-g;	cout << f << '-' << g << '=' << r << endl;
	r = f*g;	cout << f << '*' << g << '=' << r << endl;
	r = f/g;	cout << f << '/' << g << '=' << r << endl;
	Wait();
}
void SFtest1(){
	SFraction t; // temporary object.
	int old = t.lineFormat; //save old value

	t.lineFormat = t.END_CR; // no bracket format
	cerr << "No bracket format is applied." << endl;
	SFraction a(1, 300), b(1, 400), c;
	c=a+b;	cout << a << '+' << b << '=' << c << endl;
	c=a-b;	cout << a << '-' << b << '=' << c << endl;
	c=a*b;	cout << a << '*' << b << '=' << c << endl;
	c=a/b;	cout << a << '/' << b << '=' << c << endl;

	t.lineFormat = old; // restore old value
	Wait();
}
void SDtoE_FormTest() {
	const SDouble pi = Pi()*100000000.0;
	SDouble m, x;
	long e;
	x.SetFormat(0,32,0,0);
	for(int k= -100; k <= 100; k+= 10){
		x = pi*k;
		m = SDtoE_Form(x, &e);
		cout << x << endl;
		cout << m << " e " << e << endl; 
	}
}
int main(){
	SDtoE_FormTest();
	SLong::SetFormat(0);// for continuously outputs without space

	SFtest1();
	SFtest2();
	SFtest3();
}
